Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dks.src.gradientEditor
Class JdksGradientEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      dks.src.gradientEditor.JdksGradientEditor

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class JdksGradientEditor

extends javax.swing.JPanel

This panel is an PropertySheet for modify a gradient
date : 3 sept. 07

Author:
  DarK Sidious
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary
`static java.lang.String` | `ANGLE_PROPERTY_NAME`
`static java.lang.String` | `BTN_ADD_COLOR_NAME`
`static java.lang.String` | `BTN_REMOVE_COLOR_NAME`
`static java.lang.String` | `GRADIENT_EDITOR_NAME`
`static java.lang.String` | `PROPERTY_COLOR_NAME`
`static java.lang.String` | `RADIAL_PROPERTY_NAME`
`static java.lang.String` | `SUBPROPERTY_COLOR_NAME`
`static java.lang.String` | `SUBPROPERTY_POSITION_NAME`
`static java.lang.String` | `TAB_COLOR_NAME`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JdksGradientEditor()`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener changeListener)`
`CGradient` | `getGradient()`
`void` | `reloadModel()` Reload the PropertySheet with the properties of the gradient
`void` | `removeChangeListener(javax.swing.event.ChangeListener changeListener)`
`void` | `setGradient(CGradient gradient)`
`java.lang.String` | `toString()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_COLOR_NAME

    public static final java.lang.String PROPERTY_COLOR_NAME

See Also:
  Constant Field Values

### SUBPROPERTY_POSITION_NAME

    public static final java.lang.String SUBPROPERTY_POSITION_NAME

See Also:
  Constant Field Values

### SUBPROPERTY_COLOR_NAME

    public static final java.lang.String SUBPROPERTY_COLOR_NAME

See Also:
  Constant Field Values

### GRADIENT_EDITOR_NAME

    public static final java.lang.String GRADIENT_EDITOR_NAME

See Also:
  Constant Field Values

### ANGLE_PROPERTY_NAME

    public static final java.lang.String ANGLE_PROPERTY_NAME

See Also:
  Constant Field Values

### RADIAL_PROPERTY_NAME

    public static final java.lang.String RADIAL_PROPERTY_NAME

See Also:
  Constant Field Values

### BTN_ADD_COLOR_NAME

    public static final java.lang.String BTN_ADD_COLOR_NAME

See Also:
  Constant Field Values

### BTN_REMOVE_COLOR_NAME

    public static final java.lang.String BTN_REMOVE_COLOR_NAME

See Also:
  Constant Field Values

### TAB_COLOR_NAME

    public static final java.lang.String TAB_COLOR_NAME

See Also:
  Constant Field Values

Constructor Detail

### JdksGradientEditor

    public JdksGradientEditor()

Method Detail

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener changeListener)

  Parameters:
    `changeListener` - the ChangeListener to add

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener changeListener)

  Parameters:
    `changeListener` - the ChangeListener to remove

### reloadModel

    public void reloadModel()

  Reload the PropertySheet with the properties of the gradient

### getGradient

    public CGradient getGradient()

  Returns:
    the gradient to use

### setGradient

    public void setGradient(CGradient gradient)

  Parameters:
    `gradient` - the gradient to use

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.awt.Component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD